# Class MimeTypeMappings

java.lang.Object
org.apache.tomcat.buildutil.MimeTypeMappings

public class MimeTypeMappings extends Object
Build utility for MIME type mappings.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MimeTypeMappings()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `main(String... args)`
  Main entry point.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MimeTypeMappings

    public MimeTypeMappings()
    Default constructor.

- ## Method Details

  - ### main

    public static void main(String... args) throws Exception
    Main entry point.
    Parameters:
      `args` - the command line arguments
    Throws:
      `Exception` - if an error occurs